| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::ZoneFile Class Reference

Class for reading zone files. More...

Inheritance diagram for EECFI::ZoneFile:

List of all members.

## Public Member Functions
| ZoneFile ()
| Empty constructor.
| ZoneFile (const string fileNam)
| Constructor with file name.
| ~ZoneFile ()
| Destructor.
void | read () throw (CfiError)
| Read the whole file data block.
void | read (const string zoneIdentity) throw (CfiError)
| Read one zone.
vector< string > | readIds () throw (CfiError)
| Read the list of zone names.
## Public Attributes
vector< ZoneRec > | zoneRec
| List of zones.

## Detailed Description

Class for reading zone files.

## Constructor & Destructor Documentation

EECFI::ZoneFile::ZoneFile | ( |  | ) |

Empty constructor.

References EECFI::EEFile::fileType.

EECFI::ZoneFile::ZoneFile | ( | const string | fileNam | ) |

Constructor with file name.

EECFI::ZoneFile::~ZoneFile | ( |  | ) |

Destructor.

References EECFI::EEFile::fixedHeader.

## Member Function Documentation

void EECFI::ZoneFile::read | ( |  | ) | throw (CfiError)

Read the whole file data block.

References EECFI::ZoneRec::creator, EECFI::ZoneRec::description, EECFI::EEFile::fileName, EECFI::ZoneRec::projection, EECFI::ZoneRec::surface, EECFI::CfiClass::throwWarn, EECFI::ZoneRec::zoneDiam, EECFI::ZoneRec::zoneId, EECFI::ZoneRec::zonePoint, zoneRec, and EECFI::ZoneRec::zoneType.

void EECFI::ZoneFile::read | ( | const string | zoneIdentity | ) | throw (CfiError)

Read one zone.

Parameters:

  | zoneIdentity | Identity of the zone to read.

References EECFI::ZoneRec::creator, EECFI::ZoneRec::description, EECFI::ZoneRec::projection, EECFI::ZoneRec::surface, EECFI::ZoneRec::zoneDiam, EECFI::ZoneRec::zoneId, EECFI::ZoneRec::zonePoint, and EECFI::ZoneRec::zoneType.

vector< string > EECFI::ZoneFile::readIds | ( |  | ) | throw (CfiError)

Read the list of zone names.

Returns:
  Returns a vector of strings with the names of the zones.

References EECFI::EEFile::fileName, and EECFI::CfiClass::throwWarn.

## Member Data Documentation

vector<ZoneRec> EECFI::ZoneFile::zoneRec

List of zones.

Referenced by read().